﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FinanceTool.Data
{
    public class SnsCsvReader : CsvReader
    {
        public override string Delimiter
        {        
            get { return ","; }        
        }

        public override string SourceSystem
        {
            get { return "SNS"; }
        }

        public SnsCsvReader(string fileLocation)
            : base(fileLocation)
        {
        }
    }
}
