﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace FinanceTool.Data
{
    public class IngCvsReader : CsvReader
    {
        public override string Delimiter
        {        
            get { return ","; }        
        }

        public override string SourceSystem
        {
            get { return "ING"; }
        }

        public IngCvsReader(string fileLocation)
            : base(fileLocation)
        {
        }
    }
}
