﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace FinanceTool.Entities.Exceptions
{
    public class SourceFileException : Exception
    {
        public SourceFileException()
            : base()
        {
        }

        public SourceFileException(string message)
            : base(message)
        {
        }

        public SourceFileException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        public SourceFileException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
